package com.inspect.metadata.mqtt.service.impl;

import com.inspect.metadata.mqtt.domain.HrDroneBattery;
import com.inspect.metadata.mqtt.mapper.HrDroneBatteryMapper;
import com.inspect.metadata.mqtt.service.IHrDroneBatteryService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class HrDroneBatteryServiceImpl implements IHrDroneBatteryService {
    private final HrDroneBatteryMapper droneBatteryMapper;
    @Override
    public List<HrDroneBattery> selectDroneBatteryList(String nestCode) {
        return droneBatteryMapper.selectDroneBatteryList(nestCode);
    }

    @Override
    public int insertDroneBattery(HrDroneBattery droneBattery) {
        return droneBatteryMapper.insertDroneBattery(droneBattery);
    }

    @Override
    public HrDroneBattery selectDroneBatteryOne(String nestCode) {
        return droneBatteryMapper.selectDroneBatteryOne(nestCode);
    }
}
